> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get firewall availability for this CVM's node

> Checks teescope capabilities.firewall on the node hosting this CVM.



## OpenAPI

````yaml /openapi.json get /api/v1/cvms/{cvm_id}/firewall-status
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/cvms/{cvm_id}/firewall-status:
    get:
      tags:
        - CVMs
        - cvms-network-config
      summary: Get firewall availability for this CVM's node
      description: Checks teescope capabilities.firewall on the node hosting this CVM.
      operationId: handle_get_firewall_status_api_v1_cvms__cvm_id__firewall_status_get
      parameters:
        - name: cvm_id
          in: path
          required: true
          schema:
            type: string
            title: Cvm Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FirewallStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FirewallStatusResponse:
      properties:
        available:
          type: boolean
          title: Available
          description: Whether firewall/port-mapping is available
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
          description: Why it is unavailable
      type: object
      required:
        - available
      title: FirewallStatusResponse
      description: Firewall availability for the node hosting a CVM.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````